/* Modal container */
.custom-modal {
    display: block;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

/* Modal content */
.modal-content {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    position: relative;
    border-radius: 8px;
}

/* Close button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

textarea {
    resize: none;
    overflow: auto;
    -webkit-user-drag: none;
    /* user-drag: none; */
    -webkit-user-select: none;
    user-select: none;
}

.teeth-list {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    /* flex-wrap: wrap; */
    margin-top: 20px;
}
.teeth-list button {
    margin: 5px;
    padding: 10px;
    border: 1px solid #000;
    cursor: pointer;
    background-color: white;
    transition: background-color 0.3s ease;
}
.teeth-list button.selected {
    background-color: #727cf5;
    color: #fff;
    border: 1px solid #727cf5;
}

/* The Modal (background) */
.custom-modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5); /* Black with opacity */
}

/* Modal Content */
.custom-modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px; /* Limit the width of the modal */
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
}

/* Close Button */
.custom-modal-close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.custom-modal-close:hover,
.custom-modal-close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Image Styling */
.custom-modal-content img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto 20px auto;
}

/* Form Styling */
.custom-modal-content .form-group {
    margin-bottom: 15px;
}

.custom-modal-content .form-control {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.custom-modal-content .btn-primary {
    background-color: #007bff;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.custom-modal-content .btn-primary:hover {
    background-color: #0056b3;
}

.autocomplete-list {
    position: absolute;
    border-bottom: 1px solid #ccc;
    border-right: 1px solid #ccc;
    border-left: 1px solid #ccc;
    list-style: none;
    padding: 0;
    max-height: 200px;
    overflow-y: auto;
    z-index: 999999;
    background-color: #fff;
    max-width: 100%;
}

#showcase {
    background: url("./../images/palmat-image.jpg");
    position: relative;
    background-repeat: repeat;
    min-height: 100vh;
}

#showcase .primary-overlay {
    background: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
}
